import { Store } from "redux";
import { SagaMiddleware } from "redux-saga";
import { LoggerImpl, LoggerConfig } from "./Logger";
import { ActionHandler, ErrorHandler } from "./module";
import { State } from "./reducer";
interface App {
    readonly store: Store<State>;
    readonly sagaMiddleware: SagaMiddleware<any>;
    readonly actionHandlers: {
        [actionType: string]: ActionHandler;
    };
    readonly logger: LoggerImpl;
    errorHandler: ErrorHandler | null;
    loggerConfig: LoggerConfig | null;
}
export declare const app: App;
export {};
