import React from "react";
import { DispatchProp } from "react-redux";
import { ReactLifecycleException } from "../Exception";
interface Props extends DispatchProp<any> {
    render: (exception: ReactLifecycleException) => React.ReactNode;
    children: React.ReactNode;
}
interface State {
    exception: ReactLifecycleException | null;
}
declare class Component extends React.PureComponent<Props, State> {
    static defaultProps: Pick<Props, "render">;
    state: State;
    componentDidUpdate(prevProps: Props): void;
    componentDidCatch(error: Error, errorInfo: React.ErrorInfo): void;
    render(): {} | null | undefined;
}
export declare const ErrorBoundary: import("react-redux").ConnectedComponent<typeof Component, Pick<Props, "children" | "render">>;
export {};
